Commit d331b549 authored by wonko's avatar wonko

added android launsh screen image

parent 568c15fc
<?xml version="1.0" encoding="utf-8"?>
<!-- Modify this file to customize your launch splash screen -->
<layer-list xmlns:android="http://schemas.android.com/apk/res/android">
<item android:drawable="@android:color/white" />
<item android:drawable="@android:color/black" />
<!-- You can insert your own image assets here -->
<!-- <item>
<item>
<bitmap
android:gravity="center"
android:src="@mipmap/launch_image" />
</item> -->
android:src="@mipmap/launch" />
</item>
</layer-list>
This diff is collapsed.
assets/graphics/appicon.png

3.47 MB | W: | H:

assets/graphics/appicon.png

410 KB | W: | H:

assets/graphics/appicon.png
assets/graphics/appicon.png
assets/graphics/appicon.png
assets/graphics/appicon.png
  • 2-up
  • Swipe
  • Onion skin
#!/usr/bin/env bash
#appicon
inkscape assets/graphics/adaptive-icon.svg --export-png="assets/graphics/appicon.png" --export-area 18:18:90:90 --export-height=1024 --export-width=1024 --without-gui
inkscape assets/graphics/adaptive-icon.svg --export-png="assets/graphics/android-adaptive-bg.png" --export-id=layer3 --export-id-only --export-area-page --export-height=1024 --export-width=1024 --without-gui
inkscape assets/graphics/adaptive-icon.svg --export-png="assets/graphics/android-adaptive-fg.png" --export-id=layer1 --export-id-only --export-area-page --export-height=1024 --export-width=1024 --without-gui
flutter pub run flutter_launcher_icons:main
......@@ -14,7 +14,7 @@ packages:
name: args
url: "https://pub.dartlang.org"
source: hosted
version: "1.5.1"
version: "1.5.2"
async:
dependency: transitive
description:
......@@ -64,15 +64,6 @@ packages:
url: "https://pub.dartlang.org"
source: hosted
version: "0.1.2"
dart_config:
dependency: transitive
description:
path: "."
ref: HEAD
resolved-ref: a7ed88a4793e094a4d5d5c2d88a89e55510accde
url: "https://github.com/MarkOSullivan94/dart_config.git"
source: git
version: "0.5.0"
flutter:
dependency: "direct main"
description: flutter
......@@ -91,7 +82,7 @@ packages:
name: flutter_launcher_icons
url: "https://pub.dartlang.org"
source: hosted
version: "0.7.0"
version: "0.7.2"
flutter_test:
dependency: "direct dev"
description: flutter
......@@ -112,12 +103,12 @@ packages:
source: hosted
version: "3.1.3"
image:
dependency: "direct overridden"
dependency: transitive
description:
name: image
url: "https://pub.dartlang.org"
source: hosted
version: "2.0.7"
version: "2.1.3"
matcher:
dependency: transitive
description:
......@@ -173,7 +164,7 @@ packages:
name: shared_preferences
url: "https://pub.dartlang.org"
source: hosted
version: "0.5.2"
version: "0.5.3"
sky_engine:
dependency: transitive
description: flutter
......
......@@ -31,7 +31,7 @@ dev_dependencies:
flutter_test:
sdk: flutter
flutter_launcher_icons: "^0.7.0"
flutter_launcher_icons: "^0.7.2"
# For information on the generic Dart part of this file, see the
# following page: https://www.dartlang.org/tools/pub/pubspec
......@@ -85,7 +85,9 @@ flutter:
flutter_icons:
android: true
ios: true
adaptive_icon_background: "assets/graphics/android-adaptive-bg.png"
adaptive_icon_foreground: "assets/graphics/android-adaptive-fg.png"
image_path: "assets/graphics/appicon.png"
dependency_overrides:
image: 2.0.7
\ No newline at end of file
#dependency_overrides:
# image: 2.0.7
\ No newline at end of file
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment